New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

should not download chromium by default #1451

Closed
lijiarui opened this Issue Jul 7, 2018 · 3 comments

Comments

Projects
None yet
2 participants
@lijiarui
Copy link
Member

lijiarui commented Jul 7, 2018

We had solo all puppet right now, and use wechat4u as default puppet. While when I npm install wechaty, it will download chromium default, maybe we should not download chromium at this period.

test npm install wechaty

> node-expat@2.3.16 install /Users/jiaruili/git/test/node_modules/node-expat
> node-gyp rebuild

  CC(target) Release/obj.target/expat/deps/libexpat/lib/xmlparse.o
  CC(target) Release/obj.target/expat/deps/libexpat/lib/xmltok.o
  CC(target) Release/obj.target/expat/deps/libexpat/lib/xmlrole.o
  LIBTOOL-STATIC Release/libexpat.a
  CXX(target) Release/obj.target/node_expat/node-expat.o
  SOLINK_MODULE(target) Release/node_expat.node

> leveldown@4.0.1 install /Users/jiaruili/git/test/node_modules/leveldown
> prebuild-install || node-gyp rebuild


> puppeteer@1.5.0 install /Users/jiaruili/git/test/node_modules/puppeteer
> node install.js

ERROR: Failed to download Chromium r564778! Set "PUPPETEER_SKIP_CHROMIUM_DOWNLOAD" env variable to skip download.
{ Error: read ETIMEDOUT
    at _errnoException (util.js:999:13)
    at TLSWrap.onread (net.js:629:25) errno: 'ETIMEDOUT', code: 'ETIMEDOUT', syscall: 'read' }
npm WARN test@1.0.0 No description
npm WARN test@1.0.0 No repository field.

npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! puppeteer@1.5.0 install: `node install.js`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the puppeteer@1.5.0 install script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR!     /Users/jiaruili/.npm/_logs/2018-07-07T07_13_49_473Z-debug.log
@huan

This comment has been minimized.

Copy link
Member

huan commented Jul 7, 2018

What's wechaty version had you installed?

@lijiarui

This comment has been minimized.

Copy link
Member

lijiarui commented Jul 7, 2018

package.json shows ^0.16.5

This is the default version when I use npm install wechaty without any command.

We should let this command using a wechaty without install chromium

@huan

This comment has been minimized.

Copy link
Member

huan commented Jul 8, 2018

I ask you is not for the answer because I had already known that when I ask.

I ask you this question is because I want you to think about that.

Close this issue because it's not a problem.

@huan huan closed this Jul 8, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment